gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Object To be added To be added
- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Event
  2.24.0.0
  GLib.Signal("connect")
  Gnome.ConnectedHandler To be added To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Event
  2.24.0.0
  GLib.Signal("die")
  System.EventHandler To be added To be added
- Method
  2.24.0.0
  System.Obsolete
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Event
  2.24.0.0
  GLib.Signal("disconnect")
  System.EventHandler To be added To be added
- Property
  2.24.0.0
  Gnome.ClientFlags To be added To be added: an object of type 'Gnome.ClientFlags' To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Method
  2.24.0.0
  Gnome.ModuleInfo To be added To be added: an object of type 'Gnome.ModuleInfo' To be added
- Method
  2.24.0.0
  Gnome.Client To be added To be added: an object of type 'Gnome.Client' To be added
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideConnected", Type=typeof(Gnome.Client))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDie", Type=typeof(Gnome.Client))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDisconnected", Type=typeof(Gnome.Client))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSaveComplete", Type=typeof(Gnome.Client))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSaveYourself", Type=typeof(Gnome.Client))
  System.Boolean `` `` `` `` `` a a a a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  2.24.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideShutdownCancelled", Type=typeof(Gnome.Client))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Property
  2.24.0.0
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added
- Method
  2.24.0.0
  System.Void `` `` To be added: an object of type 'Gnome.DialogType' To be added: an object of type 'Gnome.InteractFunction' To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Obsolete("Replaced by overload with no IntPtr arg")
  System.Void `` `` `` `` To be added: an object of type 'Gnome.DialogType' To be added: an object of type 'Gtk.CallbackMarshal' To be added: an object of type 'IntPtr' To be added: an object of type 'Gtk.DestroyNotify' To be added To be added
- Method
  2.24.0.0
  System.Void To be added To be added
- Method
  2.24.0.0
  System.Void `` `` `` `` `` To be added: an object of type 'Gnome.SaveStyle' To be added: an object of type 'bool' To be added: an object of type 'Gnome.InteractStyle' To be added: an object of type 'bool' To be added: an object of type 'bool' To be added To be added
- Property
  2.24.0.0
  Gnome.RestartStyle To be added The condition upon which to restart or not the program. To be added
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'Gtk.Dialog' To be added To be added
- Event
  2.24.0.0
  GLib.Signal("save_complete")
  System.EventHandler To be added To be added
- Method
  2.24.0.0
  System.Void `` To be added: an object of type 'Gtk.Dialog' To be added To be added
- Event
  2.24.0.0
  GLib.Signal("save_yourself")
  Gnome.SaveYourselfHandler To be added To be added
- Method
  2.24.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` `` To be added: an object of type 'string' To be added: an object of type 'string' To be added To be added
- Method
  2.24.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` `` The number of arguments to pass (including the application path). The array with the arguments. To be added. To be added.
- Method
  2.24.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Event
  2.24.0.0
  GLib.Signal("shutdown_cancelled")
  System.EventHandler To be added To be added
- Property
  2.24.0.0
  System.String To be added To be added: an object of type 'string' To be added